{
  "name": "nodysseus",
  "description": "A generic node-based editor. Built with hyperapp.",
  "version": "1.0.48",
  "type": "module",
  "exports": {
    ".": {
      "import": {
        "types": "./built/nodysseus.d.ts",
        "default": "./built/nodysseus.js"
      }
    }
  },
  "repository": {
    "type": "git",
    "url": "git+ssh://git@gitlab.com/ulysses.codes/nodysseus.git"
  },
  "keywords": [
    "node-based-editor",
    "vpl",
    "hyperapp"
  ],
  "author": "Ulysses Popple",
  "license": "BSD-3-Clause",
  "bugs": {
    "url": "https://gitlab.com/ulysses.codes/nodysseus/issues"
  },
  "homepage": "https://gitlab.com/ulysses.codes/nodysseus#readme",
  "scripts": {
    "package": "node package.esbuild.mjs",
    "watch": "concurrently --raw \"npm run run:esbuild\" \"tsc --watch --noEmit\"",
    "test": "node node_modules/jest/bin/jest.js",
    "test:watch": "node node_modules/jest/bin/jest.js  --watch",
    "run:esbuild": "node esbuild.mjs"
  },
  "dependencies": {
    "@automerge/automerge": "^2.0.2",
    "@codemirror/lang-javascript": "^6.0.1",
    "@codemirror/lang-json": "^6.0.1",
    "@codemirror/lang-markdown": "^6.0.4",
    "@codemirror/state": "^6.1.0",
    "@codemirror/view": "^6.0.2",
    "@lezer/javascript": "^1.4.7",
    "@lezer/lr": "^1.3.10",
    "@preact/signals": "^1.2.2",
    "@swc/core": "^1.3.20",
    "@swc/wasm-web": "^1.3.21",
    "@typescript-eslint/typescript-estree": "^5.45.0",
    "@webref/elements": "^2.2.2",
    "acorn": "^8.10.0",
    "acorn-jsx": "github:acornjs/acorn-jsx",
    "acorn-walk": "^8.2.0",
    "ast-types": "^0.14.2",
    "autocompleter": "^7.0.1",
    "codemirror": "^6.0.1",
    "d3-force": "^3.0.0",
    "estree-walker": "^3.0.3",
    "fs-web": "^1.0.1",
    "fuse.js": "^6.6.2",
    "hyperapp": "^2.0.22",
    "idb": "^7.1.1",
    "just-extend": "^6.2.0",
    "just-safe-get": "^4.0.1",
    "just-safe-set": "^4.0.1",
    "lokijs": "^1.5.12",
    "panzoom": "^9.4.2",
    "preact": "^10.19.2",
    "uuid": "^9.0.0"
  },
  "devDependencies": {
    "@swc/jest": "^0.2.23",
    "@types/d3-force": "^3.0.3",
    "@types/lokijs": "^1.5.7",
    "@types/sharedworker": "^0.0.96",
    "@types/uuid": "^9.0.1",
    "@typescript-eslint/eslint-plugin": "^6.7.5",
    "@typescript-eslint/parser": "^6.7.5",
    "@webref/css": "^6.6.2",
    "@webref/idl": "^3.37.1",
    "brace-expansion": "^2.0.1",
    "concurrently": "^7.3.0",
    "esbuild": "^0.17.14",
    "esbuild-jest": "^0.5.0",
    "esbuild-plugin-wasm": "^1.0.0",
    "eslint": "^8.51.0",
    "eslint_d": "^13.0.0",
    "eslint-plugin-editorconfig": "^4.0.3",
    "http-server": "^14.1.1",
    "jest": "^29.3.1",
    "sourcemap-codec": "^1.4.8",
    "swc-loader": "^0.2.3",
    "ts-jest": "^29.1.1",
    "ts-loader": "^9.4.1",
    "ts-node": "^10.9.1",
    "typescript": "^5.2.2",
    "webpack": "^5.75.0",
    "webpack-cli": "^5.0.0"
  }
}
